## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           tecla
Version:        45.0
Release:        %autorelease
Summary:        Keyboard layout viewer

License:        GPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/tecla
Source:         https://download.gnome.org/sources/tecla/45/tecla-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk4-wayland)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  /usr/bin/desktop-file-validate

%description
Tecla is a keyboard layout viewer. It uses GTK/Libadwaita for UI, and
libxkbcommon to deal with keyboard maps.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains a pkg-config file for
developing applications that use %{name}.


%prep
%autosetup -p1 -n tecla-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang tecla


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Tecla.desktop
%meson_test


%files -f tecla.lang
%license LICENSE
%doc NEWS README.md
%{_bindir}/tecla
%{_datadir}/applications/org.gnome.Tecla.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tecla.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tecla-symbolic.svg


%files devel
%{_datadir}/pkgconfig/tecla.pc


%changelog
* Tue Sep 19 2023 Kalev Lember <klember@redhat.com> - 45.0-1
- Update to 45.0

* Wed Sep 06 2023 Kalev Lember <klember@redhat.com> - 45~rc-1
- Update to 45.rc
- Add -devel subpackage for newly added pkg-config file

* Fri Aug 11 2023 Kalev Lember <klember@redhat.com> - 45~beta-1
- Update to 45.beta
- Package up translations

* Mon Aug 07 2023 Kalev Lember <klember@redhat.com> - 45~alpha-2
- Add check section for desktop-file-validate and meson tests

* Mon Aug 07 2023 Kalev Lember <klember@redhat.com> - 45~alpha-1
- Initial Fedora packaging
